<?php

return [

    /*
     * When a picture is uploaded
     * We resize to this max size option here
     */
    'max_size' => [
        'width'  => 1000,
        'height' => 1000,
    ],

    /*
     * Default medias directory and mediable models allowed to use medias
     * `models` array indexes are used onto the URL in order to specify
     * the relationship with medias.
     */
    'medias' => [
        'dir'    => storage_path() . '/app/files/medias',
        'url'    => '/media/medias',
        'models' => [
            // 'any-name' => 'App\Models\User',
        ],
    ],

    /*
     * Models which use medias services, eg. users who have to upload their
     * avatars would use a chosen name, that is, 'user', and properties
     * chosen by them. Two main options are 'dir' and 'url'. Eg:
     */
    'models' => [
    /*
        'user' => [
            'model'  => 'App\Models\User',
            'dir'    => storage_path() . '/app/files/avatars',
            'url'    => 'media/user/avatars',
            'fields' => ['your-picture-field'] // example: banner, avatar, picture, etc
        ],
    */
    ],

    /*
     * Possible overriden views
     */
    'views' => [
        'medias' => [
            'index' => 'manager-medias::index',
        ],
    ],

    /*
     * Possible overriden controllers
     */
    'controllers' => [
        'medias' => [
            'index'       => 'EscapeWork\Manager\Medias\Controllers\MediasController@index',
            'store'       => 'EscapeWork\Manager\Medias\Controllers\MediasController@store',
            'update'      => 'EscapeWork\Manager\Medias\Controllers\MediasController@update',
            'updateOrder' => 'EscapeWork\Manager\Medias\Controllers\MediasController@updateOrder',
            'destroy'     => 'EscapeWork\Manager\Medias\Controllers\MediasController@destroy',
            'destroyAll'  => 'EscapeWork\Manager\Medias\Controllers\MediasController@destroyAll',
        ],
    ],

    /*
     * Hidden fields in the medias form. By default, credit field is ommited
     */
    'hidden' => [
        'credits',
    ],

];
