<?php namespace EscapeWork\Manager\Medias\Commands;

use EscapeWork\LaravelUploader\Upload;
use EscapeWork\Manager\Medias\Collections\MediaCollection;
use EscapeWork\Manager\Medias\Commands\Command;
use EscapeWork\Manager\Medias\Services\MediasResizeService;
use Illuminate\Contracts\Bus\SelfHandling;
use Illuminate\Support\Str;
use Symfony\Component\HttpFoundation\File\UploadedFile;

class SelfModelUploadCommand extends Command implements SelfHandling
{

    public function __construct($config, $picture)
    {
        $this->config  = $config;
        $this->picture = $picture;
    }

    public function handle(Upload $upload)
    {
        if (! $this->picture instanceof UploadedFile) {
            return;
        }

        $dir   = config('manager-medias.models.' . $this->config)['dir'];
        $files = new MediaCollection($upload->to($dir)->execute($this->picture));

        $files->resize($dir);

        return $files;
    }
}
