<?php
/*
|------------------------------------------------------------------------------
| escapework/manager-medias routes
|------------------------------------------------------------------------------
|
| Some settings might be overriden in your application's route file
| Verify your conf/manager-medias.php file (found in config/)
| folder to check it out
*/

Route::get('media/{path}', [
        'as'   => 'manager.media.show',
        'uses' => 'EscapeWork\Manager\Medias\Controllers\PictureController@show'
    ])->where('path', '.+');

Route::group([
    'prefix'     => config('manager.url'),
    'middleware' => ['manager.authenticated', 'manager-medias.mediable']
], function()
{
    Route::get('medias/{model}/{model_id}', [
        'as'   => 'manager.medias.index',
        'uses' => config('manager-medias.controllers.medias.index'),
    ]);

    Route::post('medias/{model}/{model_id}', [
        'as' => 'manager.medias.store',
        'uses' => config('manager-medias.controllers.medias.store')
    ]);

    Route::put('medias/{model}/{model_id}/{id}', [
        'as' => 'manager.medias.update',
        'uses' => config('manager-medias.controllers.medias.update')
    ]);

    Route::delete('medias/{model}/{model_id}/{id}', [
        'as' => 'manager.medias.destroy',
        'uses' => config('manager-medias.controllers.medias.destroy')
    ]);

    Route::delete('medias/{model}/{model_id}', [
        'as'   => 'manager.medias.destroyAll',
        'uses' => config('manager-medias.controllers.medias.destroyAll'),
    ]);
});
