<?php namespace EscapeWork\Manager\Medias\Repositories;

use EscapeWork\Manager\Medias\Models\Media;
use EscapeWork\LaravelSteroids\Repository;

class MediaRepository extends Repository
{

    public function __construct(Media $model)
    {
        $this->setModel($model);
    }

    protected function getLastOrder()
    {
        $media = $this->model
                      ->getCurrentModel()
                      ->orderBy('order', 'DESC')
                      ->first();

        if ($media) {
            return $media->order + 1;
        }

        return true;
    }

    public function getMedias()
    {
        return $this->model
                    ->getCurrentModel()
                    ->orderBy('order')
                    ->orderBy('created_at', 'DESC')
                    ->get();
    }

    public function getMedia()
    {
        return $this->getCurrentModel()
                    ->orderBy('order')
                    ->orderBy('created_at', 'DESC')
                    ->take(1)
                    ->first();
    }


    /**
     * Retornando TODAS as midias de um model
     */
    public function getModelMedias()
    {
        return $this->model
                    ->mediaModelFilter()
                    ->orderBy('order')
                    ->orderBy('created_at', 'DESC')
                    ->get();
    }

    public function deleteAll()
    {
        $medias = $this->getMedias();

        foreach ($medias as $media) {
            $media->delete();
        }
    }

}
