<?php namespace EscapeWork\Manager\Medias\Services;

use EscapeWork\Manager\Medias\Models\Media;
use EscapeWork\Manager\Medias\Contracts\Mediable;

use Illuminate\Filesystem\Filesystem;

class MediasDestroyerService
{

    /**
     * @var EscapeWork\Manager\Medias\Models\Media
     */
    protected $media;

    /**
     * @var Illuminate\Filesystem\Filesystem
     */
    protected $files;

    public function __construct(Media $media, Filesystem $files)
    {
        $this->media = $media;
        $this->files = $files;
    }

    public function removeFromMedias($model)
    {
        $medias = $this->media
                       ->where('model_id', '=', $model->id)
                       ->where('media_model', '=', get_class($model))
                       ->get();

        foreach ($medias as $media) {
            $media->delete();
        }
    }

    public function removeFromModel($model, $config)
    {
        foreach ($config['fields'] as $field) {
            if ($this->files->exists($file = $config['dir'] . '/' . $model->{$field})) {
                $this->files->delete($file);
            }
        }
    }
}
