<?php namespace EscapeWork\Manager\Medias\Services;

use Intervention\Image\ImageManager;

class MediasResizeService
{

    protected $image;

    public function __construct(ImageManager $image)
    {
        $this->image = $image;
    }

    public function resize($image)
    {
        $width  = config('manager-medias.max_size.width');
        $height = config('manager-medias.max_size.height');

        $img = $this->image->make($image);

        if ($img->width() <= $width && $img->height() <= $height) {
            return;
        }

        if ($img->width() > $width && $img->height() > $height) {
            $img->resize($width, $height, function ($constraint) {
                $constraint->aspectRatio();
            })->save($image);
            return;
        }

        if ($img->width() > $width) {
            $height = null;
        } elseif ($img->height() > $height) {
            $width = null;
        }

        $img->resize($width, $height, function ($constraint) {
            $constraint->aspectRatio();
        });

        $img->save($image);
    }

}
